## ros-lunar-swri-string-util 2.9.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(swri_string_util)

find_package(catkin REQUIRED)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
)

include_directories(include ${catkin_INCLUDE_DIRS})
  
add_library(${PROJECT_NAME} 
    src/string_util.cpp) 
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  
  add_rostest_gtest(test_string_util test/string_util.test test/test_string_util.cpp)
  target_link_libraries(test_string_util ${PROJECT_NAME})
endif()

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

install(TARGETS ${PROJECT_NAME}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

=== debian/changelog ===
ros-lunar-swri-string-util (2.9.0-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 23 May 2019 05:00:00 -0000

ros-lunar-swri-string-util (2.8.0-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 06 Feb 2019 06:00:00 -0000

ros-lunar-swri-string-util (2.7.3-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 03 Jan 2019 06:00:00 -0000

ros-lunar-swri-string-util (2.7.2-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 20 Dec 2018 06:00:00 -0000

ros-lunar-swri-string-util (2.7.1-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 14 Dec 2018 06:00:00 -0000

ros-lunar-swri-string-util (2.7.0-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 04 Dec 2018 06:00:00 -0000

ros-lunar-swri-string-util (2.6.0-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Sat, 03 Nov 2018 05:00:00 -0000

ros-lunar-swri-string-util (2.5.0-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 12 Oct 2018 05:00:00 -0000

ros-lunar-swri-string-util (2.4.0-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-lunar-swri-string-util (2.3.0-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 25 May 2018 05:00:00 -0000

ros-lunar-swri-string-util (2.2.1-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 11 May 2018 05:00:00 -0000

ros-lunar-swri-string-util (2.2.0-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Mon, 12 Feb 2018 06:00:00 -0000

ros-lunar-swri-string-util (2.1.0-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 26 Jan 2018 06:00:00 -0000

ros-lunar-swri-string-util (2.0.0-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Mon, 18 Dec 2017 06:00:00 -0000

ros-lunar-swri-string-util (1.2.0-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 13 Oct 2017 05:00:00 -0000

ros-lunar-swri-string-util (1.1.0-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 31 Aug 2017 05:00:00 -0000

ros-lunar-swri-string-util (1.0.0-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 02 Aug 2017 05:00:00 -0000

ros-lunar-swri-string-util (0.3.0-1stretch) stretch; urgency=high

  * Merge together the indigo, jade, and kinetic branches (#443 <https://github.com/pjreed/marti_common/issues/443>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 20 Jun 2017 05:00:00 -0000

ros-lunar-swri-string-util (0.2.4-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 11 Apr 2017 05:00:00 -0000

ros-lunar-swri-string-util (0.2.3-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 09 Dec 2016 06:00:00 -0000

ros-lunar-swri-string-util (0.2.2-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 07 Dec 2016 06:00:00 -0000

ros-lunar-swri-string-util (0.2.1-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-lunar-swri-string-util (0.2.0-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 21 Jun 2016 05:00:00 -0000

ros-lunar-swri-string-util (0.1.5-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 13 May 2016 05:00:00 -0000

ros-lunar-swri-string-util (0.1.4-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 12 May 2016 05:00:00 -0000

ros-lunar-swri-string-util (0.1.3-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 04 Mar 2016 06:00:00 -0000

ros-lunar-swri-string-util (0.1.2-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 06 Jan 2016 06:00:00 -0000

ros-lunar-swri-string-util (0.1.1-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 17 Nov 2015 06:00:00 -0000

ros-lunar-swri-string-util (0.1.0-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 29 Sep 2015 05:00:00 -0000

ros-lunar-swri-string-util (0.0.14-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 11 Apr 2017 05:00:00 -0000

ros-lunar-swri-string-util (0.0.13-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-lunar-swri-string-util (0.0.12-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Sun, 14 Aug 2016 05:00:00 -0000

ros-lunar-swri-string-util (0.0.11-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 13 May 2016 05:00:00 -0000

ros-lunar-swri-string-util (0.0.10-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 12 May 2016 05:00:00 -0000

ros-lunar-swri-string-util (0.0.9-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 04 Mar 2016 06:00:00 -0000

ros-lunar-swri-string-util (0.0.8-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 06 Jan 2016 06:00:00 -0000

ros-lunar-swri-string-util (0.0.7-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 18 Nov 2015 06:00:00 -0000

ros-lunar-swri-string-util (0.0.6-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 17 Nov 2015 06:00:00 -0000

ros-lunar-swri-string-util (0.0.5-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Sun, 27 Sep 2015 05:00:00 -0000

ros-lunar-swri-string-util (0.0.4-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Sun, 27 Sep 2015 05:00:00 -0000

ros-lunar-swri-string-util (0.0.3-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Sat, 26 Sep 2015 05:00:00 -0000

ros-lunar-swri-string-util (0.0.2-1stretch) stretch; urgency=high

  * Renames string_util to swri_string_util. Refs #231 <https://github.com/swri-robotics/marti_common/issues/231>.
  * Contributors: Edward Venator



=== debian/control ===
Source: ros-lunar-swri-string-util
Section: misc
Priority: extra
Maintainer: Marc Alban <malban@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-rostest
Homepage: https://github.com/swri-robotics/marti_common
Standards-Version: 3.9.2

Package: ros-lunar-swri-string-util
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: swri_string_util

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-swri-string-util//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
